AtteanX::Model::SPARQL(3pm)

NAME
AtteanX::Model::SPARQL - Attean SPARQL Model

SYNOPSIS
  my $store = Attean->get_store('SPARQL')->new(endpoint_url => $url);
  my $model = AtteanX::Model::SPARQL->new( store => $store );

DESCRIPTION
This model is in practice a thin wrapper around the underlying SPARQL store, that adds facilities only to allow quering and planning with quad semantics.

It consumes Attean::API::Model and Attean::API::CostPlanner and adds no new methods or attributes.

OTHER DETAILS
For author, copyright and other details, see AtteanX::Store::SPARQL.